      subroutine ecrispascher1(i,x,cc)
      character*2 cc
      INCLUDE 'Parametres.f' 
c
      ix = min(max(-90000,nint(1000.*x)),900000)
      if (ix.ge.100000) then
        write(bufferout(iptbuf:iptbuf+8),'(i7)') ix
        iptbuf = iptbuf+8
      elseif(ix.ge.10000) then
        write(bufferout(iptbuf:iptbuf+7),'(i6)') ix
        iptbuf = iptbuf+7
      elseif(ix.ge.1000) then
        write(bufferout(iptbuf:iptbuf+6),'(i5)') ix
        iptbuf = iptbuf+6
      elseif(ix.gt.-100) then
        write(bufferout(iptbuf:iptbuf+5),'(i4)') ix
        iptbuf = iptbuf+5
      elseif(ix.gt.-1000) then
        write(bufferout(iptbuf:iptbuf+6),'(i5)') ix
        iptbuf = iptbuf+6
      elseif(ix.gt.-10000) then
        write(bufferout(iptbuf:iptbuf+7),'(i6)') ix
        iptbuf = iptbuf+7
      else
        write(bufferout(iptbuf:iptbuf+8),'(i7)') ix
        iptbuf = iptbuf+8
      endif
      bufferout(iptbuf-1:iptbuf) = cc
      write(i,'(a)') bufferout(1:iptbuf)
      do j=1,iptbuf
        bufferout(j:j) = ' '
      enddo
      iptbuf = 1
      end
